Đến nội dung


Hình ảnh
- - - - -

Dùng Autolisp vẽ shop drawing tự động


  • Please log in to reply
15 replies to this topic

#1 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 30 October 2013 - 07:51 AM

hi mọi người. hiện tại mình đang nghiên cứu autolisp để vẽ shop drawing tự động. bản vẽ của mình và các thông số cần nhập như file đính kèm. mọi người biết thì chỉ giúp mình các bước để có thể thực hiện nhé. thanks.

ai có tài liệu thì gửi giúp mình với.


  • -3

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 30 October 2013 - 09:40 AM

hi mọi người. hiện tại mình đang nghiên cứu autolisp để vẽ shop drawing tự động. bản vẽ của mình và các thông số cần nhập như file đính kèm. mọi người biết thì chỉ giúp mình các bước để có thể thực hiện nhé. thanks.

ai có tài liệu thì gửi giúp mình với.

 

File CAD đâu bạn? Phiền bạn upload file đính kèm và mô tả cụ thể nhé.


  • 0

#3 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 30 October 2013 - 12:29 PM

File CAD đâu bạn? Phiền bạn upload file đính kèm và mô tả cụ thể nhé.

mình gửi lại file CAD như đính kèm nhé.

ý tưởng của mình làm như bên dưới:

1. gõ lệnh vẽ shopdrawing

2. nhập loại thang máng (có thể thay đổi được loại thang máng tùy vào bề rộng (phần này có thể update theo nhà sản xuất))

3. nhập loại vật tư (bao gồm các loại vật tư sau: L50, L75 (tức là bề rộng của nó là 50 hoặc 75mm)

4. nhập vào chiều dài A (như hình vẽ)http://www.cadviet.c...hop_drawing.dwg

5. Nhập vào chiều dài B ( hình vẽ)

6. Nhập chiều dài C ( hình vẽ)

7. Nhấn Ok sẽ ra được bản vẽ.

Mở rộng ra có thể add thêm một bảng để liệt kê các vật tư với kích thước đã nhập.

Có thể chèn khung tên bản vẽ (thay đổi được tùy theo dự án.)


  • 0

#4 conghoa

conghoa

    biết lệnh attdef

  • Members
  • PipPipPipPipPipPip
  • 412 Bài viết
Điểm đánh giá: 88 (tàm tạm)

Đã gửi 30 October 2013 - 02:10 PM

Mình tạo cái Block động này, bạn dùng thử xem. Viết lisp chắc sẽ lằng nhằng hơn :)

http://www.cadviet.c...969_chitiet.dwg


  • 0

#5 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 30 October 2013 - 02:25 PM

Mình tạo cái Block động này, bạn dùng thử xem. Viết lisp chắc sẽ lằng nhằng hơn :)

http://www.cadviet.c...969_chitiet.dwg

thanks bạn. nhưng mình đag nghiên cứu về lisp để làm.

 

bro nào biết chỉ giúp nhé. hoặc có tài liệu cho mình nghiên cứu làm cũng đc. thanks


  • 0

#6 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 01 November 2013 - 07:10 AM

ai biết giúp mình với. hic.


  • 0

#7 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 01 November 2013 - 08:02 AM

Để vẽ được hình đó mà chỉ có a b c thì còn thiếu dữ liệu lắm. Bạn cần viết lisp cho bạn hay chỉ bạn viết lisp. bạn viết được cái gì rồi?


  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#8 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 01 November 2013 - 09:55 AM

mình mới tập tành viết LISP thôi. bạn hướng dẫn mình viết cái nhé. thanks nhiều.


  • 0

#9 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 01 November 2013 - 03:14 PM

-Dòng dùng hỏi chọn 1 điểm gán cho biến diemchon

(setq diemchon (getpoint "\nChon diem"))

-Dòng dùng hỏi nhập một giá trị số gán cho biến sonhap

(setq sonhap (getreal "\nSo can nhap: "))

-Dòng xác định một điểm từ 1 điểm cho trước theo phương cho trước với độ dài cho trước.

(setq diemtim (polar diemcoso goc dodai))

Lưu ý góc ở đây tính bằng radian. Pi = 180độ cứ thế mà tính.

-Dòng vẽ line từ điểm a đến điểm b.

(command ".line" a b "")

 

Vậy sơ bộ lisp như sau:

(defun c:shopdrawing ()
(setq diemchon (getpoint "\nChon diem de ve"))
(setq soa (getreal "\nnhap gia tri A: "))
(setq sob (getreal "\nnhap gia tri B: "))
(setq diemngang (polar diemchon pi soa))
(setq diemdoc (polar diemchon (/ pi 2) sob))
(command ".line" diemngang diemchon diemdoc "")
(princ)
)

 

Đại khái là thế cái sườn đó bạn dựa vào mà viết. Nếu u u minh minh quá thì theo học lớp lisp của két xù nhé.


  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#10 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 01 November 2013 - 03:26 PM

thanks Mr. Duy782006. cho mình hỏi thêm là làm thế nào để vẽ 1 cái hình arc với chiều dài như giá trị A và B, và chiều rộng là theo ý của mình (vd 100)


  • 0

#11 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 01 November 2013 - 04:18 PM

Arc mà có chiều dài và chiều rộng quả thật là mình ko hiểu chi bằng minh họa bằng hình ảnh xem.

Nguyên tắc là muốn viết lisp lệnh gì thì cứ gỏ lệnh đó trong cad mà coi cứ "" là bằng 1 cái enter.


  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#12 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 04 November 2013 - 11:20 AM

Arc mà có chiều dài và chiều rộng quả thật là mình ko hiểu chi bằng minh họa bằng hình ảnh xem.

Nguyên tắc là muốn viết lisp lệnh gì thì cứ gỏ lệnh đó trong cad mà coi cứ "" là bằng 1 cái enter.

ah mình nhầm. ý là nếu muốn vẽ lệnh Rectang thì vẽ như thế nào. bạn cho mình 1 ví dụ nhé. thanks.


  • 0

#13 giun_da

giun_da

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 November 2013 - 01:47 PM

vẽ lệnh rectang nhưng khong bao được hết làm nào ahj


  • 0

Những hinh anh dep tuyệt đẹp được đăng tải tại  ảnh bìa facebook  và  anh thien nhien tại hinhanhnen.com


#14 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 04 November 2013 - 04:14 PM

ah mình nhầm. ý là nếu muốn vẽ lệnh Rectang thì vẽ như thế nào. bạn cho mình 1 ví dụ nhé. thanks.

(command ".RECTANG" DIEMMOT DIEMM2)


  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#15 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 04 November 2013 - 05:00 PM

mình muốn áp dụng lệnh này vào chương trình của mình thôi. nên muốn cách thức lệnh của nó ấy mà. thanks


  • 0

#16 nguyendan81985

nguyendan81985

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 06 November 2013 - 07:36 PM

sau vài ngày nghien cứu về autolisp, thấy coi bộ khó quá. bro nào rảnh thì viết lisp trên giúp mình với. thanks

 

ah cho mình hỏi thêm. VBA của Autocad với autolisp thì cái nào mạnh hơn. và cái nào dễ sử dụng hơn. mình cũng đag tìm hiểu món này


  • 0